=== debian/changelog ===
fwknop (2.6.11-2) unstable; urgency=medium

  * Enable NFQ in default config file (LP: #2076224)
  * Remove unnecessary libpcap0.8-dev build dep
  * Bump Standards-Version up to 4.7.0

 -- Francois Marier <francois@debian.org>  Sat, 10 Aug 2024 14:29:05 -0700

fwknop (2.6.11-1) unstable; urgency=medium

  * New upstream release
    - drop all patches merged upstream (most of them)
  * Bump copyright year in debian/copyright
  * Remove redundant dpkg-dev line in Build-Depends

 -- Francois Marier <francois@debian.org>  Fri, 03 May 2024 19:57:57 -0700

fwknop (2.6.10-20.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable. (Closes: #1061958)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 01 Mar 2024 10:06:45 +1300

fwknop (2.6.10-20.1) experimental; urgency=medium

  [ Lukas Märdian ]
  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.
  * Account for additional t64 Breaks/Replaces (Closes: #1062046).

  [ Francois Marier ]
  * Add "pcap capture not compiled in" to logcheck rules.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Thu, 29 Feb 2024 04:44:10 +0000

fwknop (2.6.10-20) unstable; urgency=medium

  * Add debian/NEWS mentioning the required NFQ configuration change.
  * Add missing /etc/gai.conf to apparmor profile.

 -- Francois Marier <francois@debian.org>  Mon, 13 Nov 2023 15:42:27 -0800

fwknop (2.6.10-19) unstable; urgency=medium

  * Move apparmor profile back into fwknop-apparmor-profile.
  * Add missing apparmor-profiles-extra dependency (closes: #1055670).
  * Add Breaks/Replaces on fwknop-server for fwknop-apparmor-profile.
  * Switch to NFQ (closes: #949331).

 -- Francois Marier <francois@debian.org>  Mon, 13 Nov 2023 10:48:47 -0800

fwknop (2.6.10-18) unstable; urgency=medium

  * Add missing Replaces for fwknop-apparmor-profile.

 -- Francois Marier <francois@debian.org>  Sat, 09 Sep 2023 12:23:48 -0700

fwknop (2.6.10-17) unstable; urgency=medium

  * Add generated files to debian/clean and debian/source/options
    (closes: #1045067).
  * Move apparmor file into fwknop-server and install it in /etc/apparmor.d
    directly (as discussed in #1034055).
  * Drop obsolete lsb-base dependency.

 -- Francois Marier <francois@debian.org>  Sat, 09 Sep 2023 11:34:15 -0700

fwknop (2.6.10-16) unstable; urgency=high

  * Install apparmor profile in /usr/share/apparmor/extra-profiles/
    instead of the systemd service directory. Note that the profile
    will not be used unless manually copied into /etc/apparmor.d/
    (Closes: #1034055).

 -- Francois Marier <francois@debian.org>  Mon, 10 Apr 2023 20:52:01 -0700

fwknop (2.6.10-15) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #1028394)
    + Add missing B-D: perl-xs-dev for building a perl extension.
    + Export a suitable PERL5LIB.

  [ Francois Marier ]
  * Bump Standards-Version up to 4.6.2.
  * Bump copyright year in debian/copyright.

 -- Francois Marier <francois@debian.org>  Tue, 10 Jan 2023 21:23:46 -0800

fwknop (2.6.10-14) unstable; urgency=medium

  * Remove outdated gpgme.m4 from build (closes: #1024481).
  * Remove obsolete @setcontentsaftertitlepage command from libfko.texi.
  * Update lintian overrides (new warning text).
  * libfko-perl: Drop Multi-Arch: same.
  * Drop ancient debian/NEWS file.
  * Bump Standards-Version up to 4.6.1.
  * Bump copyright year in debian/copyright.

 -- Francois Marier <francois@debian.org>  Sat, 26 Nov 2022 17:41:38 -0800

fwknop (2.6.10-13) unstable; urgency=medium

  * Fix AppArmor profile for recent versions of Debian.
  * Ship the AppArmor file in /usr/ instead of /etc/.
  * Mark patches as forwarded upstream.
  * Bump Standards-Version up to 4.6.0.

 -- Francois Marier <francois@debian.org>  Sun, 12 Sep 2021 20:09:33 -0700

fwknop (2.6.10-12) unstable; urgency=medium

  * Bump Standards-Version up to 4.5.1.
  * Bump debian/watch up to version 4.
  * Bump copyright year in debian/copyright.
  * Add upstream metadata file.

 -- Francois Marier <francois@debian.org>  Mon, 18 Jan 2021 22:55:24 -0800

fwknop (2.6.10-11) unstable; urgency=high

  * Fix gcc10 build (closes: #957244).
  * Fix typo in lintian override.
  * Build with root explicitly.

 -- Francois Marier <francois@debian.org>  Wed, 22 Jul 2020 20:33:25 -0700

fwknop (2.6.10-10) unstable; urgency=medium

  * Remove PIDFile from systemd service since systemd tries to read that
    file before fwknopd has written to it.

 -- Francois Marier <francois@debian.org>  Mon, 15 Jun 2020 20:16:27 -0700

fwknop (2.6.10-9) unstable; urgency=medium

  * Add ipset support to AppArmor profile (closes: #949332).
  * Add Ubuntu 20.04 support to AppArmor profile (LP: #1880009).
  * Bump debian-compat to 13.
    - Update location of files in *.install and *.manpages.
    - Add libfko.so symlink and libfko.la to debian/not-installed.

 -- Francois Marier <francois@debian.org>  Sun, 14 Jun 2020 18:14:42 -0700
